> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# BRL Auto Offramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/brl/initiate_offramp
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/brl/initiate_offramp:
    post:
      tags:
        - BRL Ramp
      summary: BRL Auto Offramp
      operationId: post_initiate_brl_offramp
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                pix_key:
                  type: string
                  description: >-
                    The registered PIX key (BRL payout account) where BRL will
                    be sent after swap.
                amount:
                  type: string
                  description: Amount in USDC/USDT to convert into BRL.
                wallet_address:
                  type: string
                  description: 'On-chain address  customer used to send their USDC/USDT '
                stables:
                  type: string
                  description: Stablecoin tøken to send in. USDC/USDT.
                  default: USDC
              type: object
              required:
                - pix_key
                - amount
                - wallet_address
                - stables
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                New Example:
                  summary: New Example
                  value: |-
                    {
                      "status": "Success",
                      "message": "Off-ramp ticket created successfully",
                      "ticket_id": "ticket_789xyz",
                      "payment_code": "000201010212...",
                      "validity": "5 minutes",
                      "paymentWalletAddress": "0x211...",// Valid  for Offramp. where to send USDC to.
                    }
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````